require "pail"

LG = love.graphics

function love.update(dt)
pail.update(dt)
end

function love.mousereleased()
pail.mousereleased() 
end

function love.load()
--First, we need a generic input config
controls={
q	= function() LG.setColor(250,250,0) LG.print("q",400,10) end,
w	= function() LG.setColor(250,250,0) LG.print("w",400,10) end,
a	= function() LG.setColor(250,250,0) LG.print("a",400,10) end,
s	= function() LG.setColor(250,250,0) LG.print("s",400,10) end,
z	= function() LG.setColor(250,250,0) LG.print("z",400,10) end,
x	= function() LG.setColor(250,250,0) LG.print("x",400,10) end,
up	= function() LG.setColor(250,250,0) LG.print("up",400,10) end,
down	= function() LG.setColor(250,250,0) LG.print("down",400,10) end,
left	= function() LG.setColor(250,250,0) LG.print("left",400,10) end,
right	= function() LG.setColor(250,250,0) LG.print("right",400,10) end
}

h = LG.getHeight()
w = LG.getWidth()

-- keypad placement key={x,y,size}
keypad={
q	= {0	,0	,h/3},		
w	= {h/3	,0      ,h/3},
a	= {0	,h/3    ,h/3},
s	= {h/3	,h/3    ,h/3},
z	= {0	,h/3*2  ,h/3},
x	= {h/3	,h/3*2  ,h/3},
up	= {w/6*4,h/4*1  ,h/3},
down	= {w/6*4,h/4*3  ,h/3},
left	= {w/6*3,h/4*2  ,h/3},
right	= {w/6*5,h/4*2  ,h/3},
}
pail.load()
end

function love.mousepressed(x,y,button)
pail.mousepressed(x,y,button)
end

function love.keypressed(button)
pail.keypressed(button)
end

function love.keyreleased(button)
pail.keyreleased(button)
end

function love.draw(dt)
pail.draw(dt)  
end


